Bug 1124735 - [test case] After saving the case's estimated_time as '0d0h0m', system will show it as null in case detail page.
Summary: [test case] After saving the case's estimated_time as '0d0h0m', system will s...
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: Application
Version: 3.8.10
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Yang Ren
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 08:06 UTC by yangqiu
Modified: 2018-07-04 21:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description yangqiu 2014-07-30 08:06:27 UTC
Description of problem:
as summary.

Version-Release number of selected component (if applicable):
v3.8.10-1 on devel server.

How reproducible:
100%

Steps to Reproduce:
1.Update a case's estimated_time to '0d0h0m'.
2.Inspect how system display the estimated_time in case detail page.
3.Click edit btn to enter case edit page, inspect how system show the estimated_time.
4.Don't change the value, click save btn.

Actual results:
For step 2: system show estimated_time as null.
For step 3: system show estimated_time as null.
For step 4: system will show warning: estimated_time: This field is required. 

Expected results:
For step 2: system show estimated_time as '0d0h0m'.
For step 3: system show estimated_time as '0d0h0m'.
For step 4: system will save the changes and go back to case detail page.

Additional info:

Comment 1 yangqiu 2014-08-13 07:49:54 UTC
verify this issue on v3.8.10-1 on devel server.--->Pass
the current result:
For step 2: system show estimated_time as '0m'.
For step 3: system show estimated_time as '0m'.


Note You need to log in before you can comment on or make changes to this bug.